package com.learning;

import java.util.Arrays;
import java.util.List;
import java.util.function.Consumer;

class SomeClass {

	public static void log(List<String> items) {
		items.forEach(e -> System.out.println(e));
	}
}

public class Example1 {

	// method reference to a static method
	public static void main(String[] args) {
		List<String> items = Arrays.asList("physics", "chemistry", "maths", "zoology", "biology");

		// referencing method to List<String> type consumer interface
		Consumer<List<String>> consumer1 = SomeClass::log;
		consumer1.accept(items);	// calling consumer method
	}
}
