package com.learning;

import java.util.Arrays;
import java.util.List;
import java.util.UUID;

class PersonV1 {
	UUID id;
	String name;

	public PersonV1(UUID pid, String pname) {
		this.id = pid;
		this.name = pname;
	}

	public UUID getId() {
		return id;
	}

	public String getName() {
		return name;
	}

	public void print() {
		System.out.println("person id= " + this.id + ", person name= " + this.name);
	}
}

public class Example3 {

	// method reference to an instance method of an arbitrary object of a particular type
	public static void main(String[] args) {
		List<PersonV1> persons = Arrays.asList(
				new PersonV1(UUID.randomUUID(), "Person1"),
				new PersonV1(UUID.randomUUID(), "Person2"),
				new PersonV1(UUID.randomUUID(), "Person3"),
				new PersonV1(UUID.randomUUID(), "Person4"));

		persons.forEach(PersonV1::print);
	}
}
