package com.learning;

import java.util.function.Function;

class Subject {
	
	String name;
	
	public Subject(String sname) {
		this.name = sname;
	}
	
	public String getName() {
		return name;
	}
}

public class Example4 {

	// method reference on a constructor
	public static void main(String[] args) {
		Function<String, Subject> function = (subject) -> new Subject(subject);
		
		String subjectName = function.apply("maths").getName();
		
		System.out.println(subjectName);
	}
}
